Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.naming.ldap
Interface UnsolicitedNotificationListener

All Superinterfaces:
  EventListener, NamingListener

public interface UnsolicitedNotificationListener
extends NamingListener

This interface is for handling `UnsolicitedNotificationEvent`. "Unsolicited notification" is defined in RFC 2251. It allows the server to send unsolicited notifications to the client. A `UnsolicitedNotificationListener` must:

1. Implement this interface and its method
2. Implement `NamingListener.namingExceptionThrown()` so that it will be notified of exceptions thrown while attempting to collect unsolicited notification events.
3. Register with the context using one of the `addNamingListener()` methods from `EventContext` or `EventDirContext`. Only the `NamingListener` argument of these methods are applicable; the rest are ignored for a `UnsolicitedNotificationListener`. (These arguments might be applicable to the listener if it implements other listener interfaces).

Since:
  1.3
See Also:
  `UnsolicitedNotificationEvent`, `UnsolicitedNotification`, `EventContext.addNamingListener(javax.naming.Name, int, javax.naming.event.NamingListener)`, `EventDirContext.addNamingListener(javax.naming.Name, java.lang.String, javax.naming.directory.SearchControls, javax.naming.event.NamingListener)`, `EventContext.removeNamingListener(javax.naming.event.NamingListener)`

Method Summary
`void` | `notificationReceived(UnsolicitedNotificationEvent evt)` Called when an unsolicited notification has been received.

Methods inherited from interface javax.naming.event.NamingListener
`namingExceptionThrown`

Method Detail

### notificationReceived

    public void notificationReceived(UnsolicitedNotificationEvent evt)

  Called when an unsolicited notification has been received.
  Parameters:
    `evt` - The non-null UnsolicitedNotificationEvent

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.